﻿using Syncfusion.Windows.Forms.Chart;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ChartSample
{
    public partial class Form1 : Form
    {
        ChartControl chart;
        ChartCustomPoint customLegend1;
        ChartCustomPoint customLegend2;
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ChartSeries series = new ChartSeries("series1");
            series.Points.Add(new DateTime(2017, 01, 01, 23, 0, 0), 10);
            series.Points.Add(new DateTime(2017, 01, 02, 1, 0, 0), 20);
            series.Points.Add(new DateTime(2017, 01, 02, 2, 0, 0), 12);
            series.Points.Add(new DateTime(2017, 01, 02, 3, 0, 0), 18);
            series.Type = ChartSeriesType.Line;
            ChartCustomPoint cp = new ChartCustomPoint();
            cp.CustomType = Syncfusion.Windows.Forms.Chart.ChartCustomPointType.PointFollow;
            cp.Symbol.Shape = ChartSymbolShape.Circle;
            cp.PointIndex = 1;
            cp.SeriesIndex = 0;
            cp.Symbol.Color = Color.Red;
            cp.XValue = (new DateTime(2017, 01, 02, 0, 0, 0) - new DateTime(1970, 1, 1)).TotalMilliseconds;
            cp.YValue = 15;
            this.chart.ShowToolTips = true;
            this.chart.CustomPoints.Add(cp);
            this.chart.Series.Add(series);
            this.chart.PrimaryXAxis.ValueType = ChartValueType.DateTime;
            this.chart.PrimaryXAxis.IntervalType = ChartDateTimeIntervalType.Hours;
            this.chart.Size = new Size(800, 400);
        }

   }
}
